Subject: [PATCH net-next 0/2] net: phy: add helpers for handling C45 10GBT AN register values

From: Heiner Kallweit <[email-masked]>
Date: Fri, 15 Feb 2019 21:56:57 +0100

Similar to the existing helpers for the Clause 22 registers add helpers
to deal with converting Clause 45 advertisement registers to / from
link mode bitmaps.

Note that these helpers are defined in linux/mdio.h, not like the
Clause 22 helpers in linux/mii.h. Reason is that the Clause 45 register
constants are defined in uapi/linux/mdio.h. And uapi/linux/mdio.h
includes linux/mii.h before defining the C45 register constants.

Heiner Kallweit (2):
  net: phy: add helpers for handling C45 10GBT AN register values
  net: phy: use mii_10gbt_stat_mod_linkmode_lpa_t in genphy_c45_read_lpa

 drivers/net/phy/phy-c45.c | 10 +------
 include/linux/mdio.h      | 63 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+), 9 deletions(-)

-- 
2.20.1